<?php
 
if (!defined('ABSPATH')) {
    exit;
}

function displayApiKeySettings($omnisendApiKey) {
?>
<div class="settings-section">
    <div class="api-key-status">
<?php
        if ($omnisendApiKey !== null) {
?>
        <div>
            <h3>API Key settings</h3>
            <p><span><b>Used API KEY:</b> <span><?php echo substr_replace($omnisendApiKey, " ...", -15)  ?></span></p>
            <a class="change_api_key">Use different API key</a>
        </div>
    <?php
            $api_dn = "omnisend_dn";
        } else {
            echo '<h4>1. If you do not have Omnisend account yet, please sign up <a href="https://app.omnisend.com/registration" target="_blank">here</a></h4>';
            echo '<h4>2. Paste your Omnisend API key, acquired from your account:</h4>';
            $api_dn = "";
        }
    ?>
        <div class="api-key-form-wrapper <?php echo $api_dn ?>">
            <form id="api-key-form">
                <input type="text" name="api-key" id="api-key" class="regular-text" placeholder="API key">
                <input type="submit" name="api-key-submit" id="api-key-submit" class="button button-primary input-button" value="Save">
                <div class="spinner omni_loader"></div>
            </form>
            <h4 class="response-message"></h4>
            <p><a href="https://support.omnisend.com/api-documentation/generating-api-key" target="_blank">How to acquire Omnisend API key</a></p>
            <p>If your current Omnisend account is already connected with another site, you will need to create a new account and generate your new API key there for this site.</p>
        </div>
    </div>
</div>
<?php 
}
